diff -pruN 2.2.dfsg.0-15/debian/changelog 2.2.dfsg.0-16/debian/changelog
--- 2.2.dfsg.0-15/debian/changelog	2019-11-16 13:47:08.000000000 +0000
+++ 2.2.dfsg.0-16/debian/changelog	2020-12-04 15:32:46.000000000 +0000
@@ -1,3 +1,18 @@
+chemical-structures (2.2.dfsg.0-16) unstable; urgency=medium
+
+  * split the packages in two parts: chemical-structures and
+    chemical-structures-data. Closes: #901916
+  * added the package chemical-structures-data and its description,
+    added the dependency chemical-structures -> chemical-structures-data
+    in d/control
+  * created files d/chemical-structures-data.install and
+    d/chemical-structures.install
+  * modified d/rules to take in account the changes, and move a lot
+    of files from chemical-structures-data's subdirectory to
+    chemical-structures.
+
+ -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Dec 2020 16:32:46 +0100
+
 chemical-structures (2.2.dfsg.0-15) unstable; urgency=medium
 
   * fixed a lot of details which were idioms of python2 to comply with
diff -pruN 2.2.dfsg.0-15/debian/chemical-structures-data.install 2.2.dfsg.0-16/debian/chemical-structures-data.install
--- 2.2.dfsg.0-15/debian/chemical-structures-data.install	1970-01-01 00:00:00.000000000 +0000
+++ 2.2.dfsg.0-16/debian/chemical-structures-data.install	2020-12-04 15:30:56.000000000 +0000
@@ -0,0 +1 @@
+usr/share/chemical-structures
diff -pruN 2.2.dfsg.0-15/debian/chemical-structures.install 2.2.dfsg.0-16/debian/chemical-structures.install
--- 2.2.dfsg.0-15/debian/chemical-structures.install	1970-01-01 00:00:00.000000000 +0000
+++ 2.2.dfsg.0-16/debian/chemical-structures.install	2020-12-04 15:30:19.000000000 +0000
@@ -0,0 +1,2 @@
+etc
+usr/bin
diff -pruN 2.2.dfsg.0-15/debian/control 2.2.dfsg.0-16/debian/control
--- 2.2.dfsg.0-15/debian/control	2019-09-01 08:06:47.000000000 +0000
+++ 2.2.dfsg.0-16/debian/control	2020-12-04 15:21:05.000000000 +0000
@@ -10,12 +10,25 @@ Vcs-Git: https://salsa.debian.org/scienc
 
 Package: chemical-structures
 Architecture: all
-Depends: ${misc:Depends}, debconf, python3, openbabel, sensible-utils
+Depends: ${misc:Depends},
+ debconf,
+ python3,
+ openbabel,
+ sensible-utils,
+ chemical-structures-data
 Recommends: chemical-mime-data, apache2| httpd, iceweasel|iceape
 Suggests: jmol, jmol-applet
+Description: web service providing molecular structures in open formats
+ This web service allows one to browse a rich set of molecular
+ structures provided by the package chemical-structures-data, and
+ eventually have them translated to other open formats, thanks to
+ openbabel.
+
+Package: chemical-structures-data
+Architecture: all
+Depends: ${misc:Depends}
 Description: set of molecular structures in open formats
  hundreds of molecular structures, in the following classes: alcohols,
  aldehydes, alkanes, alkenes, amides, amines, amino_acids, aromatics,
  carboxylic_acids, esters, ethers, fatty_acids, haloalkanes, ketones,
  nitriles,nucleobases, water.
-
diff -pruN 2.2.dfsg.0-15/debian/rules 2.2.dfsg.0-16/debian/rules
--- 2.2.dfsg.0-15/debian/rules	2019-09-01 08:52:03.000000000 +0000
+++ 2.2.dfsg.0-16/debian/rules	2020-12-04 15:32:46.000000000 +0000
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DESTDIR = $(CURDIR)/debian/chemical-structures
+DESTDIR = $(CURDIR)/debian/tmp
 DB2MAN  = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP      = xsltproc --nonet
 
@@ -34,10 +34,36 @@ override_dh_auto_build: debian/chemstruc
 
 override_dh_auto_install:
 	cd build; make install
+	install -d $(DESTDIR)/usr/share/
 	install -m 755 convert.cgi $(DESTDIR)/usr/share/chemical-structures
 	install -m 644 index.html  $(DESTDIR)/usr/share/chemical-structures
+	install -d $(DESTDIR)/usr/bin
 	install -m 755 chemstruc   $(DESTDIR)/usr/bin
+	install -d $(DESTDIR)/etc/apache2/conf-available
 	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/chemical-structures.conf
 	rm -f $(DESTDIR)/usr/share/chemical-structures/jmol/LICENSE.txt
 	sh removeMolTimestamp $(DESTDIR)/usr/share/chemical-structures
 
+override_dh_install:
+	# take in account d/*.install files
+	dh_install
+	# create necessary subdirectories under /usr/share/chemical-structures
+	# for the package chemical-structures.
+	for d in $$(find debian/chemical-structures-data/usr/share/chemical-structures -maxdepth 1 -mindepth 1 -type d); do \
+	  e=$$(echo $$d| sed 's/chemical-structures-data/chemical-structures/'); \
+	  install -d $$e; \
+	done
+	# move every HTML file from chemical-structures-data to
+	# chemical-structures.
+	# first, from the molecules families' subdirectories:
+	for f in $$(find debian/chemical-structures-data/usr/share/chemical-structures/*/*.html); do \
+	  g=$$(echo $$f| sed 's/chemical-structures-data/chemical-structures/'); \
+	  echo "$$(basename $$f): chemical-structures-data ==> chemical-structures"; \
+	  mv $$f $$g; \
+	done
+	# then from the top directory, and including the gci script.
+	for f in $$(find debian/chemical-structures-data/usr/share/chemical-structures -maxdepth 1 -type f); do \
+	  g=$$(echo $$f| sed 's/chemical-structures-data/chemical-structures/'); \
+	  mv $$f $$g; \
+	done
+
